<?php

declare(strict_types=1);

namespace Dedi\SyliusQuotePlugin\Factory;

use Dedi\SyliusQuotePlugin\Entity\QuoteItemInterface;
use Sylius\Component\Product\Model\ProductInterface;
use Sylius\Component\Resource\Factory\FactoryInterface;

interface QuoteItemFactoryInterface extends FactoryInterface
{
    public function createForProduct(ProductInterface $product): QuoteItemInterface;
}
